using Sandbox;
using System;

public class PointAndClick : BasePlayerController
{

	Trace tr = Trace.Ray( 0, 0 )
		.WorldAndEntities()
		.HitLayer( CollisionLayer.All, false )
		.HitLayer( CollisionLayer.Solid, true )
		.HitLayer( CollisionLayer.GRATE, true )
		.HitLayer( CollisionLayer.PLAYER_CLIP, true );
	public float max_len = 20000;
	public override void Simulate()
    {
		EyeRot = Input.Rotation;
		EyePosLocal = Vector3.Up * 10;
		var direction = Vector3.Forward * EyeRot;
		direction = direction.Normal * max_len;
		if(Input.Pressed(InputButton.Attack1)){
			var rez = tr.FromTo( Position, Position + Vector3.Up * 2 + direction).Ignore( Pawn ).Run();
			if(rez.Hit)
				Position = rez.EndPos + rez.Normal * 10;
		}
		Velocity = Position;
	}
}